[arch-commits] Commit in libxdamage/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Wed Jun 9 02:52:23 EDT 2010


    Date: Wednesday, June 9, 2010 @ 02:52:23
  Author: jgc
Revision: 82169

upgpkg: libxdamage 1.1.3-1
Update to 1.1.3

Modified:
  libxdamage/trunk/PKGBUILD

----------+
 PKGBUILD |   16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-06-09 06:48:52 UTC (rev 82168)
+++ PKGBUILD	2010-06-09 06:52:23 UTC (rev 82169)
@@ -2,23 +2,23 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=libxdamage
-pkgver=1.1.2
+pkgver=1.1.3
 pkgrel=1
 pkgdesc="X11 damaged region extension library"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
 license=('custom')
 depends=('libxfixes>=4.0.4' 'damageproto>=1.2.0')
-makedepends=('pkgconfig')
+makedepends=('pkg-config')
 options=('!libtool')
 source=(${url}/releases/individual/lib/libXdamage-${pkgver}.tar.bz2)
-md5sums=('b42780bce703ec202a33e5693991c09d')
+sha1sums=('7d96e8de107fede16951cb47d5e147630fbc7dee')
 
 build() {
-  cd ${srcdir}/libXdamage-${pkgver}
-  ./configure --prefix=/usr --sysconfdir=/etc --disable-static \
-              --build=${CHOST} --host=${CHOST}
+  cd "${srcdir}/libXdamage-${pkgver}"
+  ./configure --prefix=/usr --sysconfdir=/etc --disable-static || return 1
   make || return 1
-  make DESTDIR=${pkgdir} install || return 1
-  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
+  make DESTDIR="${pkgdir}" install || return 1
+  install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
+  install -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
 }



More information about the arch-commits mailing list